Page MenuHomePhabricator

Special:Contributions&target= fails on mobile
Closed, ResolvedPublic

Description

In desktop, this works: https://en.wikipedia.org/w/index.php?title=Special:Contributions&target=PrimeHunter
Clicking "Mobile view" with advanced mobile contributions disabled gives https://en.m.wikipedia.org/w/index.php?title=Special:Contributions&target=PrimeHunter
&target=PrimeHunter is ignored. It produces the same error message as https://en.m.wikipedia.org/w/index.php?title=Special:Contributions :

"Bad username given
Cannot look for contributions without a user or with a user that does not exist."

https://en.m.wikipedia.org/wiki/Special:Contributions/PrimeHunter works.
I don't know whether any default MediaWiki features generate url's with Special:Contributions&target=
I got the url from a gadget https://en.wikipedia.org/wiki/Wikipedia:Tools/Navigation_popups
The url form is documented without mentioning mobile at https://www.mediawiki.org/wiki/Help:User_contributions#URLs_and_links

An enwiki search of "Special:Contributions&target=" currently gives 26,466 results:
https://en.wikipedia.org/w/index.php?search=insource%3A"Special%3AContributions%26target%3D"&title=Special:Search&profile=all&fulltext=1

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2018, 11:37 AM
Jdlrobson added a subscriber: Jdlrobson.

Known issue. The mobile substitution was only meant to be temporary. A big overhaul of the special page in core is needed (see T122305) but that's a big time investment (which might happen this year). We are not planning to invest any more time in this alternate version of the page.

T186760 is also planned as a way to disable this substitution as a short term measure.

Change 499864 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Remove the SpecialMobile(History|Contributions) page and use the core versions

https://gerrit.wikimedia.org/r/499864

Change 499864 abandoned by Jdlrobson:
Remove the SpecialMobile(Watchlist|History|Contributions) page and use the core versions

https://gerrit.wikimedia.org/r/499864

I have an idea for simple fix to this, since the big switch is clearly not happening anytime soon.

Change 631932 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/MobileFrontend@master] MobileFrontend: Respect &target query parameter

https://gerrit.wikimedia.org/r/631932

Jdlrobson updated the task description. (Show Details)Oct 5 2020, 10:11 PM
Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptOct 5 2020, 10:11 PM

Change 631932 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] MobileFrontend: Respect &target query parameter

https://gerrit.wikimedia.org/r/631932

Jdlrobson closed this task as Resolved.Oct 9 2020, 12:49 AM
Jdlrobson claimed this task.

Thanks @Ammarpad